## octave-ga 0.1.1

=== DESCRIPTION ===
Name: ga
Version: 0.1.1
Date: 2008-04-29
Author: Luca Favatella <slackydeb@gmail.com>
Maintainer: Luca Favatella <slackydeb@gmail.com>
Title: Genetic Algorithm and Direct Search
Description: Genetic optimization code
Categories: Optimization
Depends: octave (>= 2.9.7), miscellaneous (>= 1.0.5)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-ga 0.9.2~svn20080821

=== DESCRIPTION ===
Name: ga
Version: 0.9.3
Date: 2008-08-21
Author: Luca Favatella <slackydeb@gmail.com>
Maintainer: Luca Favatella <slackydeb@gmail.com>
Title: Genetic Algorithm and Direct Search
Description: Genetic optimization code
Categories: Optimization
Depends: octave (>= 2.9.7), communications (>= 1.0.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-ga 0.9.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: ga
-Version: 0.9.3
-Date: 2008-08-21
+Version: 0.9.6
+Date: 2009-04-09
 Author: Luca Favatella <slackydeb@gmail.com>
 Maintainer: Luca Favatella <slackydeb@gmail.com>
 Title: Genetic Algorithm and Direct Search

## octave-ga 0.9.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: ga
-Version: 0.9.6
-Date: 2009-04-09
+Version: 0.9.7
+Date: 2009-05-12
 Author: Luca Favatella <slackydeb@gmail.com>
 Maintainer: Luca Favatella <slackydeb@gmail.com>
 Title: Genetic Algorithm and Direct Search

## octave-ga 0.9.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: ga
-Version: 0.9.7
-Date: 2009-05-12
+Version: 0.9.8
+Date: 2010-06-24
 Author: Luca Favatella <slackydeb@gmail.com>
 Maintainer: Luca Favatella <slackydeb@gmail.com>
 Title: Genetic Algorithm and Direct Search

=== debian/changelog ===
octave-ga (0.9.8-2) unstable; urgency=low

  * Upload to unstable
  * Bump Standards-Version to 3.9.1 (no changes needed)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Sat, 16 Apr 2011 00:00:25 +0200

octave-ga (0.9.8-1) experimental; urgency=low

  * New upstream release
  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571844)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 

 -- Thomas Weber <tweber@debian.org>  Wed, 01 Sep 2010 22:13:19 +0200

octave-ga (0.9.7-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 03 Dec 2009 23:32:44 +0100

octave-ga (0.9.6-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/source.lintian-overrides: Add file for overriding Lintian
    warnings build-depends-without-arch-dep
  * debian/copyright: Use DEP5 URL in Format-Specification

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 13:59:53 +0200

octave-ga (0.9.4-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 04 Apr 2009 22:18:20 +0200

octave-ga (0.9.4-1) experimental; urgency=low

  * New upstream release

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 06 Dec 2008 11:07:52 +0100

octave-ga (0.9.2~svn20080821-1) unstable; urgency=low

  [ Thomas Weber ]
  * Package is Architecture: all, no platform-specific code in it.
  * Drop (build)-dependency on octave-miscellaneous, it's not needed anymore.
  * Add (build)-dependency on octave-communications: some unit tests use it at
    build time.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 21 Aug 2008 15:30:19 +0200

octave-ga (0.1.1-1) unstable; urgency=low

  [ Olafur Jens Sigurdsson ]
  * Initial release. (Closes: #480771)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 21 May 2008 20:26:32 +0200

=== debian/control ===
Source: octave-ga
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0),
Build-Depends-Indep: octave-communications, octave-miscellaneous
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/ga
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-ga.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-ga.git

Package: octave-ga
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}, octave-communications
Description: genetic optimization code for Octave
 This package provides function to work with genetic algorithms in Octave, a
 numerical computation software.  It proveides the ga() function, which
 works similarly to other optimization functions in Octave.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/ga-([\d.]+)\.tar\.gz\?download

## octave-ga 0.10.0

=== debian/changelog ===
octave-ga (0.10.0-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:30:13 -0200

octave-ga (0.10.0-3) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:30 -0200

octave-ga (0.10.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Remove Thomas Weber from Uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Sep 2014 18:06:52 +0200

octave-ga (0.10.0-1) unstable; urgency=low

  * Imported Upstream version 0.10.0 (Closes: #622929)
  * debian/copyright: reflect upstream changes
  * Drop obsolete Build-Depends/Depends on octave-{communications,miscellanous}

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 18 Apr 2012 13:08:31 +0000

octave-ga (0.9.8-3) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 0.9.8
  * Bump to debhelper compat level 9
  * Bump to Standards-Version 3.9.3, no changes needed
  * Build-depend on octave-pkg-dev >= 1.0.1, to compile against Octave 3.6
  * Add Sébastien Villemot to Uploaders
  * debian/copyright: upgrade to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Sat, 31 Mar 2012 00:55:07 +0200

=== debian/control ===
Source: octave-ga
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 11), dh-octave
Standards-Version: 4.1.3
Homepage: http://octave.sourceforge.net/ga
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ga.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ga
Testsuite: autopkgtest-pkg-octave

Package: octave-ga
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}
Description: genetic optimization code for Octave
 This package provides function to work with genetic algorithms in Octave, a
 numerical computation software. It provides the ga() function, which works
 similarly to other optimization functions in Octave.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=4
http://sf.net/octave/ga-(.+)\.tar\.gz

## octave-ga 0.10.1

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
## Copyright 2019 John Donoghue <john.donoghue@ieee.org>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
GIT          := git
REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
endif

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -cf - $(TAR_OPTIONS) -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

# html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
##html_options = --eval 'options = get_html_options ("octave-forge");' \
##               --eval 'options.package_doc = "$(package).texi";'
html_options = --eval 'options = get_html_options ("octave-forge");'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

rungui: $(install_stamp)
	$(run_in_place) --persist --gui

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' pkgs = pkg("list", "$(package)"); \
  cd ("$(target_dir)/"); \
  dirs = {sprintf(".installation/%s-%s", pkgs{1}.name, pkgs{1}.version)}; \
  __run_test_suite__ (dirs, {}); '

octave_test_commands = \
' pkgs = pkg("list", "$(package)"); \
  dirs = {pkgs{1}.dir}; \
  __run_test_suite__ (dirs, {}); '

## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)

clean-check:
	@echo "## Removing fntests.log..."
	-$(RM) $(target_dir)/fntests.log
	@echo

##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install clean-check
	@echo "## Removing target directory (if empty)..."
	-if [ -d $(target_dir) ]; then rmdir $(target_dir); fi
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-ga (0.10.1-2) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump to debhelper compat level 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 12:39:56 -0300

octave-ga (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1
  * d/copyright: reflect upstream changes
  * Bump to S-V 4.4.0
  * Remove patches applied upstream
    + continuation-warning.patch
    + max-EliteCount-in-ga-unit-test.patch
    + missing-return-value.patch

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Jul 2019 16:36:56 +0200

octave-ga (0.10.0-6) unstable; urgency=medium

  * Team upload

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat
  * d/p/max-EliteCount-in-ga-unit-test.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:55:37 -0200

octave-ga (0.10.0-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * New patches:
    + missing-return-value.patch: fixes FTBFS against octave 4.4
    + continuation-warning.patch: remove some deprecation warnings

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 17 Jun 2018 16:11:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 11), dh-octave
-Standards-Version: 4.1.3
-Homepage: http://octave.sourceforge.net/ga
+Build-Depends: debhelper-compat (= 13),
+               dh-octave
+Standards-Version: 4.5.0
+Homepage: https://octave.sourceforge.io/ga/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ga.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ga
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-ga
 Architecture: all

## octave-ga 0.10.2

=== debian/changelog ===
octave-ga (0.10.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.10.2
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 19 Dec 2020 03:23:24 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-octave
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://octave.sourceforge.io/ga/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ga.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ga

## octave-ga 0.10.3

=== debian/changelog ===
octave-ga (0.10.3-2) unstable; urgency=medium

  * Team upload

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:23:34 -0300

octave-ga (0.10.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.10.3
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * Set upstream metadata fields: Archive.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 18 Jan 2022 08:04:46 -0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave
-Standards-Version: 4.5.1
+               dh-sequence-octave
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/ga/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ga.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ga

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/ga/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/ga-(.+).tar.gz

## octave-ga 0.10.4

=== debian/changelog ===
octave-ga (0.10.4-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 0.10.4
    Fixes compatibility issues with Octave 9
  * Bump S-V to 4.7.0

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: Update Homepage URL
  * d/copyright: Update Source URL
  * d/u/metadata: Add upstream repository URL
  * d/u/metadata: Update Bug-Database URL

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 May 2024 21:30:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/ga/
+Standards-Version: 4.7.0
+Homepage: https://gnu-octave.github.io/packages/ga/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ga.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ga
 Testsuite: autopkgtest-pkg-octave
